peptiderawfragmentmasses.h File Reference

class dedicated to raw mass computations of peptide products (fragments) More...

`#include "peptide.h"`
`#include "../massspectrum/massspectrum.h"`

Go to the source code of this file.

## Classes

struct | pappso::SimplePeakIonMatch
class | pappso::PeptideRawFragmentMasses

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Enumerations

enum class | pappso::RawFragmentationMode : std::int8_t { pappso::full = 0 , pappso::proline_effect = 1 }

## Detailed Description

class dedicated to raw mass computations of peptide products (fragments)

Date
  16/7/2016

Author
  Olivier Langella

Definition in file peptiderawfragmentmasses.h.